## org.eclipse.emf.codegen.ecore.genmodel
Interface GenClassifier

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Subinterfaces:
  GenClass, GenDataType, GenEnum

All Known Implementing Classes:
  GenClassifierImpl, GenClassImpl, GenDataTypeImpl, GenEnumImpl

    public interface GenClassifier

extends GenBase

A representation of the model object 'Gen Meta Object'.

The following features are supported:

- `Gen Package`
- `Gen Type Parameters`

See Also:
  `GenModelPackage.getGenClassifier()`

Method Summary
`java.util.List<java.lang.String>` `getAllGenConstraints()`
`java.lang.String` `getClassifierAccessorName()`
`java.lang.String` `getClassifierID()`
`java.lang.String` `getClassifierInstanceName()`
`GenClassifier` `getConstraintDelegate(java.lang.String constraint)`
`GenClassifier` `getConstraintImplementor(java.lang.String constraint)`
`EClassifier` `getEcoreClassifier()`
`java.lang.String` `getFormattedName()` This returns a name like 'XSDElementDeclaration' formatted like 'XSD Element Declaration'
`java.util.List<java.lang.String>` `getGenConstraints()`
`java.lang.String` `getGeneratedInstanceClassFlag()`
`GenPackage` `getGenPackage()` Returns the value of the 'Gen Package' reference.
`EList<GenTypeParameter>` `getGenTypeParameters()` Returns the value of the 'Gen Type Parameters' containment reference list.
`java.lang.String` `getImportedBoundedWildcardInstanceClassName()`
`java.lang.String` `getImportedInstanceClassName()`
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedParameterizedInstanceClassName()`
`java.lang.String` `getImportedWildcardInstanceClassName()`
`java.lang.String` `getMetaType()`
`java.lang.String` `getName()`
`java.lang.String` `getQualifiedClassifierAccessor()`
`java.lang.String` `getRawImportedInstanceClassName()`
`java.lang.String` `getRawInstanceClassName()`
`java.lang.String` `getSafeUncapName()`
`boolean` `hasOnlyDefaultConstraints()`
`boolean` `isUncheckedCast()`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenPackage

    GenPackage getGenPackage()

  Returns the value of the 'Gen Package' reference. It is bidirectional and its opposite is '`Gen Classifiers`'.

  Returns:
    the value of the 'Gen Package' reference.
  See Also:
    `GenModelPackage.getGenClassifier_GenPackage()`, `GenPackage.getGenClassifiers()`

### getGenTypeParameters

    EList<GenTypeParameter> getGenTypeParameters()

  Returns the value of the 'Gen Type Parameters' containment reference list. The list contents are of type `GenTypeParameter`.

  Returns:
    the value of the 'Gen Type Parameters' containment reference list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenClassifier_GenTypeParameters()`

### getEcoreClassifier

    EClassifier getEcoreClassifier()

### getImportedMetaType

    java.lang.String getImportedMetaType()

### getMetaType

    java.lang.String getMetaType()

### getName

    java.lang.String getName()

### getClassifierAccessorName

    java.lang.String getClassifierAccessorName()

### getQualifiedClassifierAccessor

    java.lang.String getQualifiedClassifierAccessor()

### getSafeUncapName

    java.lang.String getSafeUncapName()

### getImportedInstanceClassName

    java.lang.String getImportedInstanceClassName()

### getRawImportedInstanceClassName

    java.lang.String getRawImportedInstanceClassName()

  Since:
    2.3

### getRawInstanceClassName

    java.lang.String getRawInstanceClassName()

  Since:
    2.3

### getImportedParameterizedInstanceClassName

    java.lang.String getImportedParameterizedInstanceClassName()

  Since:
    2.3

### getImportedWildcardInstanceClassName

    java.lang.String getImportedWildcardInstanceClassName()

  Since:
    2.3

### getImportedBoundedWildcardInstanceClassName

    java.lang.String getImportedBoundedWildcardInstanceClassName()

  Since:
    2.3

### isUncheckedCast

    boolean isUncheckedCast()

  Since:
    2.3

### getFormattedName

    java.lang.String getFormattedName()

  This returns a name like 'XSDElementDeclaration' formatted like 'XSD Element Declaration'

### getClassifierInstanceName

    java.lang.String getClassifierInstanceName()

### getClassifierID

    java.lang.String getClassifierID()

### getGenConstraints

    java.util.List<java.lang.String> getGenConstraints()

### getAllGenConstraints

    java.util.List<java.lang.String> getAllGenConstraints()

### getConstraintImplementor

    GenClassifier getConstraintImplementor(java.lang.String constraint)

### getConstraintDelegate

    GenClassifier getConstraintDelegate(java.lang.String constraint)

### hasOnlyDefaultConstraints

    boolean hasOnlyDefaultConstraints()

### getGeneratedInstanceClassFlag

    java.lang.String getGeneratedInstanceClassFlag()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.